# Generated by Django 3.0.7 on 2021-06-01 15:58

from django.db import migrations

from django.contrib.auth.management import create_permissions

def force_create_permissions(apps, schema_editor):
    """creates permissions without waiting for post_migrate signal
    """
    for app_config in apps.get_app_configs():
        app_config.models_module = True
        create_permissions(app_config, apps=apps, verbosity=0)
        app_config.models_module = None


def add_admin_groups(apps, schema_editor):
    Group = apps.get_model('auth.Group')
    Permission = apps.get_model('auth.Permission')

    micorr_editors, created = Group.objects.get_or_create(name='MiCorr Editors')
    for m in ['RecoveringDate', 'CorrosionType', 'CorrosionForm', 'Element', 'Contact', 'Origin']:
        micorr_editors.permissions.add(Permission.objects.get(codename=f'add_{m.lower()}'))


def remove_admin_groups(apps, schema_editor):
    Group = apps.get_model('auth.Group')
    Group.objects.filter(name='MiCorr Editors').delete()


class Migration(migrations.Migration):

    dependencies = [
        ('artefacts', '0037_add_element_model'),
        ('users', '0004_django2_lastname_and_username')
    ]

    operations = [
        migrations.RunPython(force_create_permissions, migrations.RunPython.noop),
        migrations.RunPython(add_admin_groups, remove_admin_groups)
    ]
